ASN1CryptoMaterial< BASE > Class Template Referenceabstract

_ More...

`#include <asn.h>`

Inheritance diagram for ASN1CryptoMaterial< BASE >:

## Public Member Functions

void | Save (BufferedTransformation &bt) const
void | Load (BufferedTransformation &bt)
virtual void | BERDecode (BufferedTransformation &bt)=0
| decode this object from a BufferedTransformation, using BER (Basic Encoding Rules)
virtual void | DEREncode (BufferedTransformation &bt) const =0
| encode this object into a BufferedTransformation, using DER (Distinguished Encoding Rules)
virtual void | BEREncode (BufferedTransformation &bt) const
| encode this object into a BufferedTransformation, using BER More...

## Detailed Description

### template<class BASE>
class ASN1CryptoMaterial< BASE >

_

Definition at line 235 of file asn.h.

## Member Function Documentation

virtual void ASN1Object::BEREncode | ( | BufferedTransformation & | bt | ) | const

inline virtual inherited

encode this object into a BufferedTransformation, using BER

this may be useful if DEREncode() would be too inefficient

Definition at line 1643 of file cryptlib.h.

The documentation for this class was generated from the following file:

- asn.h